Package org.apache.velocity.runtime.parser

# Interface StandardParserConstants

All Known Implementing Classes:
  `StandardParser`, `StandardParserTokenManager`

public interface StandardParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALPHA_CHAR`
RegularExpression Id.
`static final int`
`ALT_VAL`
Lexical state.
`static final int`
`BRACKETED_WORD`
RegularExpression Id.
`static final int`
`COLON`
RegularExpression Id.
`static final int`
`COMMA`
RegularExpression Id.
`static final int`
`DEFAULT`
Lexical state.
`static final int`
`DIGIT`
RegularExpression Id.
`static final int`
`DIRECTIVE`
Lexical state.
`static final int`
`DIRECTIVE_CHAR`
RegularExpression Id.
`static final int`
`DIRECTIVE_TERMINATOR`
RegularExpression Id.
`static final int`
`DIVIDE`
RegularExpression Id.
`static final int`
`DOLLAR`
RegularExpression Id.
`static final int`
`DOLLARBANG`
RegularExpression Id.
`static final int`
`DOT`
RegularExpression Id.
`static final int`
`DOUBLE_ESCAPE`
RegularExpression Id.
`static final int`
`DOUBLEDOT`
RegularExpression Id.
`static final int`
`ELSE`
RegularExpression Id.
`static final int`
`ELSEIF`
RegularExpression Id.
`static final int`
`EMPTY_INDEX`
RegularExpression Id.
`static final int`
`END`
RegularExpression Id.
`static final int`
`EOF`
End of File.
`static final int`
`EQUALS`
RegularExpression Id.
`static final int`
`ESCAPE`
RegularExpression Id.
`static final int`
`ESCAPE_DIRECTIVE`
RegularExpression Id.
`static final int`
`EXPONENT`
RegularExpression Id.
`static final int`
`FALSE`
RegularExpression Id.
`static final int`
`FLOATING_POINT_LITERAL`
RegularExpression Id.
`static final int`
`FORMAL_COMMENT`
RegularExpression Id.
`static final int`
`HASH`
RegularExpression Id.
`static final int`
`IDENTIFIER`
RegularExpression Id.
`static final int`
`IDENTIFIER_CHAR`
RegularExpression Id.
`static final int`
`IF_DIRECTIVE`
RegularExpression Id.
`static final int`
`IN_FORMAL_COMMENT`
Lexical state.
`static final int`
`IN_MULTI_LINE_COMMENT`
Lexical state.
`static final int`
`IN_MULTILINE_COMMENT`
Lexical state.
`static final int`
`IN_SINGLE_LINE_COMMENT`
Lexical state.
`static final int`
`IN_TEXTBLOCK`
Lexical state.
`static final int`
`INDEX_LBRACKET`
RegularExpression Id.
`static final int`
`INDEX_RBRACKET`
RegularExpression Id.
`static final int`
`INLINE_TEXT`
RegularExpression Id.
`static final int`
`INTEGER_LITERAL`
RegularExpression Id.
`static final int`
`LBRACKET`
RegularExpression Id.
`static final int`
`LCURLY`
RegularExpression Id.
`static final int`
`LEFT_CURLEY`
RegularExpression Id.
`static final int`
`LETTER`
RegularExpression Id.
`static final int`
`LOGICAL_AND`
RegularExpression Id.
`static final int`
`LOGICAL_EQUALS`
RegularExpression Id.
`static final int`
`LOGICAL_GE`
RegularExpression Id.
`static final int`
`LOGICAL_GT`
RegularExpression Id.
`static final int`
`LOGICAL_LE`
RegularExpression Id.
`static final int`
`LOGICAL_LT`
RegularExpression Id.
`static final int`
`LOGICAL_NOT`
RegularExpression Id.
`static final int`
`LOGICAL_NOT_EQUALS`
RegularExpression Id.
`static final int`
`LOGICAL_OR`
RegularExpression Id.
`static final int`
`LOGICAL_OR_2`
RegularExpression Id.
`static final int`
`LONE_SYMBOL`
RegularExpression Id.
`static final int`
`LPAREN`
RegularExpression Id.
`static final int`
`MINUS`
RegularExpression Id.
`static final int`
`MODULUS`
RegularExpression Id.
`static final int`
`MULTI_LINE_COMMENT`
RegularExpression Id.
`static final int`
`MULTIPLY`
RegularExpression Id.
`static final int`
`NEWLINE`
RegularExpression Id.
`static final int`
`OLD_ALPHA_CHAR`
RegularExpression Id.
`static final int`
`OLD_IDENTIFIER`
RegularExpression Id.
`static final int`
`OLD_IDENTIFIER_CHAR`
RegularExpression Id.
`static final int`
`OLD_REFMODIFIER`
Lexical state.
`static final int`
`PIPE`
RegularExpression Id.
`static final int`
`PLUS`
RegularExpression Id.
`static final int`
`PRE_DIRECTIVE`
Lexical state.
`static final int`
`PRE_OLD_REFERENCE`
Lexical state.
`static final int`
`PRE_REFERENCE`
Lexical state.
`static final int`
`RBRACKET`
RegularExpression Id.
`static final int`
`RCURLY`
RegularExpression Id.
`static final int`
`REFERENCE`
Lexical state.
`static final int`
`REFERENCE_TERMINATOR`
RegularExpression Id.
`static final int`
`REFINDEX`
Lexical state.
`static final int`
`REFMOD`
Lexical state.
`static final int`
`REFMOD2`
Lexical state.
`static final int`
`REFMOD2_RPAREN`
RegularExpression Id.
`static final int`
`REFMOD3`
Lexical state.
`static final int`
`REFMODIFIER`
Lexical state.
`static final int`
`RIGHT_CURLEY`
RegularExpression Id.
`static final int`
`RPAREN`
RegularExpression Id.
`static final int`
`SET_DIRECTIVE`
RegularExpression Id.
`static final int`
`SINGLE_LINE_COMMENT`
RegularExpression Id.
`static final int`
`SINGLE_LINE_COMMENT_START`
RegularExpression Id.
`static final int`
`STRING_LITERAL`
RegularExpression Id.
`static final int`
`SUFFIX`
RegularExpression Id.
`static final int`
`TEXT`
RegularExpression Id.
`static final int`
`TEXTBLOCK`
RegularExpression Id.
`static final String[]`
`tokenImage`
Literal token values.
`static final int`
`TRUE`
RegularExpression Id.
`static final int`
`WHITESPACE`
RegularExpression Id.
`static final int`
`WORD`
RegularExpression Id.
`static final int`
`ZERO_WIDTH_WHITESPACE`
RegularExpression Id.

## Field Details

### EOF

static final int EOF
End of File.

See Also:
  - Constant Field Values

### LONE_SYMBOL

static final int LONE_SYMBOL
RegularExpression Id.

See Also:
  - Constant Field Values

### ZERO_WIDTH_WHITESPACE

static final int ZERO_WIDTH_WHITESPACE
RegularExpression Id.

See Also:
  - Constant Field Values

### INDEX_LBRACKET

static final int INDEX_LBRACKET
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_OR_2

static final int LOGICAL_OR_2
RegularExpression Id.

See Also:
  - Constant Field Values

### PIPE

static final int PIPE
RegularExpression Id.

See Also:
  - Constant Field Values

### INDEX_RBRACKET

static final int INDEX_RBRACKET
RegularExpression Id.

See Also:
  - Constant Field Values

### LBRACKET

static final int LBRACKET
RegularExpression Id.

See Also:
  - Constant Field Values

### RBRACKET

static final int RBRACKET
RegularExpression Id.

See Also:
  - Constant Field Values

### COMMA

static final int COMMA
RegularExpression Id.

See Also:
  - Constant Field Values

### DOUBLEDOT

static final int DOUBLEDOT
RegularExpression Id.

See Also:
  - Constant Field Values

### COLON

static final int COLON
RegularExpression Id.

See Also:
  - Constant Field Values

### LEFT_CURLEY

static final int LEFT_CURLEY
RegularExpression Id.

See Also:
  - Constant Field Values

### RIGHT_CURLEY

static final int RIGHT_CURLEY
RegularExpression Id.

See Also:
  - Constant Field Values

### LPAREN

static final int LPAREN
RegularExpression Id.

See Also:
  - Constant Field Values

### RPAREN

static final int RPAREN
RegularExpression Id.

See Also:
  - Constant Field Values

### REFMOD2_RPAREN

static final int REFMOD2_RPAREN
RegularExpression Id.

See Also:
  - Constant Field Values

### ESCAPE_DIRECTIVE

static final int ESCAPE_DIRECTIVE
RegularExpression Id.

See Also:
  - Constant Field Values

### SET_DIRECTIVE

static final int SET_DIRECTIVE
RegularExpression Id.

See Also:
  - Constant Field Values

### DOLLAR

static final int DOLLAR
RegularExpression Id.

See Also:
  - Constant Field Values

### DOLLARBANG

static final int DOLLARBANG
RegularExpression Id.

See Also:
  - Constant Field Values

### HASH

static final int HASH
RegularExpression Id.

See Also:
  - Constant Field Values

### SINGLE_LINE_COMMENT_START

static final int SINGLE_LINE_COMMENT_START
RegularExpression Id.

See Also:
  - Constant Field Values

### SINGLE_LINE_COMMENT

static final int SINGLE_LINE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### FORMAL_COMMENT

static final int FORMAL_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### MULTI_LINE_COMMENT

static final int MULTI_LINE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### TEXTBLOCK

static final int TEXTBLOCK
RegularExpression Id.

See Also:
  - Constant Field Values

### WHITESPACE

static final int WHITESPACE
RegularExpression Id.

See Also:
  - Constant Field Values

### NEWLINE

static final int NEWLINE
RegularExpression Id.

See Also:
  - Constant Field Values

### SUFFIX

static final int SUFFIX
RegularExpression Id.

See Also:
  - Constant Field Values

### STRING_LITERAL

static final int STRING_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### TRUE

static final int TRUE
RegularExpression Id.

See Also:
  - Constant Field Values

### FALSE

static final int FALSE
RegularExpression Id.

See Also:
  - Constant Field Values

### MINUS

static final int MINUS
RegularExpression Id.

See Also:
  - Constant Field Values

### PLUS

static final int PLUS
RegularExpression Id.

See Also:
  - Constant Field Values

### MULTIPLY

static final int MULTIPLY
RegularExpression Id.

See Also:
  - Constant Field Values

### DIVIDE

static final int DIVIDE
RegularExpression Id.

See Also:
  - Constant Field Values

### MODULUS

static final int MODULUS
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_AND

static final int LOGICAL_AND
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_OR

static final int LOGICAL_OR
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_LT

static final int LOGICAL_LT
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_LE

static final int LOGICAL_LE
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_GT

static final int LOGICAL_GT
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_GE

static final int LOGICAL_GE
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_EQUALS

static final int LOGICAL_EQUALS
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_NOT_EQUALS

static final int LOGICAL_NOT_EQUALS
RegularExpression Id.

See Also:
  - Constant Field Values

### LOGICAL_NOT

static final int LOGICAL_NOT
RegularExpression Id.

See Also:
  - Constant Field Values

### EQUALS

static final int EQUALS
RegularExpression Id.

See Also:
  - Constant Field Values

### END

static final int END
RegularExpression Id.

See Also:
  - Constant Field Values

### IF_DIRECTIVE

static final int IF_DIRECTIVE
RegularExpression Id.

See Also:
  - Constant Field Values

### ELSEIF

static final int ELSEIF
RegularExpression Id.

See Also:
  - Constant Field Values

### ELSE

static final int ELSE
RegularExpression Id.

See Also:
  - Constant Field Values

### DIGIT

static final int DIGIT
RegularExpression Id.

See Also:
  - Constant Field Values

### INTEGER_LITERAL

static final int INTEGER_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### FLOATING_POINT_LITERAL

static final int FLOATING_POINT_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### EXPONENT

static final int EXPONENT
RegularExpression Id.

See Also:
  - Constant Field Values

### LETTER

static final int LETTER
RegularExpression Id.

See Also:
  - Constant Field Values

### DIRECTIVE_CHAR

static final int DIRECTIVE_CHAR
RegularExpression Id.

See Also:
  - Constant Field Values

### WORD

static final int WORD
RegularExpression Id.

See Also:
  - Constant Field Values

### BRACKETED_WORD

static final int BRACKETED_WORD
RegularExpression Id.

See Also:
  - Constant Field Values

### ALPHA_CHAR

static final int ALPHA_CHAR
RegularExpression Id.

See Also:
  - Constant Field Values

### IDENTIFIER_CHAR

static final int IDENTIFIER_CHAR
RegularExpression Id.

See Also:
  - Constant Field Values

### IDENTIFIER

static final int IDENTIFIER
RegularExpression Id.

See Also:
  - Constant Field Values

### OLD_ALPHA_CHAR

static final int OLD_ALPHA_CHAR
RegularExpression Id.

See Also:
  - Constant Field Values

### OLD_IDENTIFIER_CHAR

static final int OLD_IDENTIFIER_CHAR
RegularExpression Id.

See Also:
  - Constant Field Values

### OLD_IDENTIFIER

static final int OLD_IDENTIFIER
RegularExpression Id.

See Also:
  - Constant Field Values

### DOT

static final int DOT
RegularExpression Id.

See Also:
  - Constant Field Values

### LCURLY

static final int LCURLY
RegularExpression Id.

See Also:
  - Constant Field Values

### RCURLY

static final int RCURLY
RegularExpression Id.

See Also:
  - Constant Field Values

### REFERENCE_TERMINATOR

static final int REFERENCE_TERMINATOR
RegularExpression Id.

See Also:
  - Constant Field Values

### DIRECTIVE_TERMINATOR

static final int DIRECTIVE_TERMINATOR
RegularExpression Id.

See Also:
  - Constant Field Values

### DOUBLE_ESCAPE

static final int DOUBLE_ESCAPE
RegularExpression Id.

See Also:
  - Constant Field Values

### ESCAPE

static final int ESCAPE
RegularExpression Id.

See Also:
  - Constant Field Values

### TEXT

static final int TEXT
RegularExpression Id.

See Also:
  - Constant Field Values

### INLINE_TEXT

static final int INLINE_TEXT
RegularExpression Id.

See Also:
  - Constant Field Values

### EMPTY_INDEX

static final int EMPTY_INDEX
RegularExpression Id.

See Also:
  - Constant Field Values

### PRE_DIRECTIVE

static final int PRE_DIRECTIVE
Lexical state.

See Also:
  - Constant Field Values

### PRE_REFERENCE

static final int PRE_REFERENCE
Lexical state.

See Also:
  - Constant Field Values

### PRE_OLD_REFERENCE

static final int PRE_OLD_REFERENCE
Lexical state.

See Also:
  - Constant Field Values

### REFERENCE

static final int REFERENCE
Lexical state.

See Also:
  - Constant Field Values

### REFMODIFIER

static final int REFMODIFIER
Lexical state.

See Also:
  - Constant Field Values

### OLD_REFMODIFIER

static final int OLD_REFMODIFIER
Lexical state.

See Also:
  - Constant Field Values

### REFMOD3

static final int REFMOD3
Lexical state.

See Also:
  - Constant Field Values

### REFINDEX

static final int REFINDEX
Lexical state.

See Also:
  - Constant Field Values

### DIRECTIVE

static final int DIRECTIVE
Lexical state.

See Also:
  - Constant Field Values

### REFMOD2

static final int REFMOD2
Lexical state.

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT
Lexical state.

See Also:
  - Constant Field Values

### REFMOD

static final int REFMOD
Lexical state.

See Also:
  - Constant Field Values

### IN_MULTILINE_COMMENT

static final int IN_MULTILINE_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### IN_FORMAL_COMMENT

static final int IN_FORMAL_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### IN_SINGLE_LINE_COMMENT

static final int IN_SINGLE_LINE_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### ALT_VAL

static final int ALT_VAL
Lexical state.

See Also:
  - Constant Field Values

### IN_TEXTBLOCK

static final int IN_TEXTBLOCK
Lexical state.

See Also:
  - Constant Field Values

### IN_MULTI_LINE_COMMENT

static final int IN_MULTI_LINE_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### tokenImage

static final String[] tokenImage
Literal token values.